/*배경 교체*/
/* default*/

body {
    background-image: url('/img/desc/bg.jpg');
}


.header, .theme{
    background-color: #ffb380;
}

.navi-bar .navi-btn {
    background-color: #ffb380;
    position: relative;
    display: inline-block;
}

.desc-btn:hover{
    filter: opacity(0.5) drop-shadow(0 0 0 #ed5e0a);
}


i{
    color:#ed5e0a;
}

/*message*/

/*tippy*/

.tippy-box[data-theme~='tippy'] {
    background-color: #f3a165;
    color: white;
  }

.tippy-box[data-theme~='tippy'][data-placement^='top'] > .tippy-arrow::before {
    border-top-color:  #f3a165;
  }
  .tippy-box[data-theme~='tippy'][data-placement^='bottom'] > .tippy-arrow::before {
    border-bottom-color: #f3a165;
  }
  .tippy-box[data-theme~='tippy'][data-placement^='left'] > .tippy-arrow::before {
    border-left-color:  #f3a165;
  }
  .tippy-box[data-theme~='tippy'][data-placement^='right'] > .tippy-arrow::before {
    border-right-color:  #f3a165;
  }

/*edit*/

.editor{
    max-width:700px;
    text-align: left;
    background-color: rgba(255, 255, 255, 0.5);
}



.editor-list{
    padding:15px ;
}

.editor-line{
    border: 0;
    height:1px;
    margin:0;
    background-color:  rgba(209, 213, 219, 0.3);
}

.option-list{
    display: flex;
    justify-content: space-between;
    padding: 5px 0;
    align-items: center;
}

.title{
    font-size:30px;
    font-weight: 500;
}

.author{
    font-size:20px;
    font-weight: 300;
}

.charactor{
    font-size:17px;
    font-weight: 300;
}


.option-item.title{
    letter-spacing: -1px;
    font-weight: 500;
    font-size:15px;
}


.option-item.detail{
    font-size: 12px;
    font-weight: 300;
}

.command{
    letter-spacing: -1px;
    font-weight: 500;
    font-size:18px;
}


.edit{
    display: inline-block;
    margin: auto;
    margin-right:10px;
}
/*complete*/


.scenario-info{
    border:0;
    margin:15px;
    padding:20px;
    text-align: left;
}


#text-info{
  font-size: 12px;
  font-weight: 200;
}


.desc-item{
    margin: 10px 20px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.edit .btn{
    text-align: center;
    margin: 3px;
    height: 25px;
    width: 25px;
    border-radius: 25%;
    background-color:#ffe8c4;
}


.copy{
    display: inline-block;
    background: #ffe8c4;
    padding: 10px;
    font-size: 18px;
    border-radius: 10px;
    width: 35px;
    color: #ed5e0a;
}




.text.script{
    display:contents;
}
.btn i{

    margin: 0;
    color:#ed5e0a
}

.desc-element{
    outline: 0;
    border: 0;
    width:100%;
    border-style: none;
    resize: none;
    margin:5px;
    font-size: 15px;
    font-family: 'Noto Sans KR', sans-serif;
    padding: 12px;
}


.text{
    display: block;
    margin: auto;
}
.cmd-type{
    margin: auto;
    display: inline-block;  
}

/*macro*/


.macro-list {
    max-width: 600px;
}

.macro-item{
    width: 315px;
    margin: 40px auto;
}

.macro-img{
    max-width: 100%;
    height:auto;
}

.macro-content{
    padding:10px;
}
.macro-title{
    padding: 10px;
    font-size: 18px;
    font-weight: 500;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis; 
}


.option-list.macro{
    font-size: 15px ;
    padding-top:10px;
    letter-spacing: -1px;
    font-weight: 500;
}

.option-list.macro-option{
    font-size: 20px ;
    padding: 20px ;
    letter-spacing: -1px;
    font-weight: 500;

}
.option-list.macro {
    padding: 10px 20px;
}

.option-list.text{
    padding: 20px;
    font-size:13px;
    text-align: left;

}

/*switch*/

.switch {
    position: absolute;
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
}

.switch_label {
    margin: auto 0;
    float: right;
    position: relative;
    cursor: pointer;
    width: 58px;
    height: 28px;
    background: #fff;
    border: 2px solid #f3a165;
    border-radius: 20px;
    transition: 0.2s;
}



.switch_label.mini {
    width: 38px;
    height: 18px;
    background: #fff;
    border: 2px solid #f3a165;
    border-radius: 20px;
}


.switch_label:hover {
    background: #fcf4f0;
}

.onf_btn {
    position: absolute;
    top: 4px;
    left: 3px;
    display: inline-block;
    width: 20px;
    height: 20px;
    border-radius: 20px;
    background: #f3a165;
    transition: 0.2s;
}

.onf_btn.mini{
    position: absolute;
    top: 3px;
    left: 3px;
    display: inline-block;
    width: 12px;
    height: 12px;
    border-radius: 20px;
    background: #f3a165;
    transition: 0.2s;
}



/* checking style */
.switch:checked+.switch_label {
    background: #ed5e0a;
    border: 2px solid #ed5e0a
}

.switch:checked+.switch_label:hover {
    background: #da5000
}

/* move */
.switch:checked+.switch_label .onf_btn {
    left: 35px;
    background: #fff;
    box-shadow: 1px 2px 3px #ffe8c41f;
}

.switch:checked+.switch_label .onf_btn.mini {
    left: 23px;
    background: #fff;
    box-shadow: 1px 2px 3px #ffe8c41f;
}



/*range*/

.range-input {
    float: right;
    border-radius: 10px;
    margin-top: 3px;
  }
  .range-input input {
    -webkit-appearance:none;
    width:200px;
    height:2px;
    background:#f3a165;
    border:none;
    outline:none;
  }
  .range-input input::-webkit-slider-thumb {
    -webkit-appearance:none;
    width:20px;
    height:20px;
    background:white;
    border:2px solid #f3a165;
    border-radius:50%;
  }
  .range-input input::-webkit-slider-thumb:hover {
    background:#f3a165;
  }
.value , .range-value {
    float: left;
    color: #ed5e0a;
    font-size: 20px;
    font-weight: 600;
    line-height: 40px;
    height: 40px;
    overflow: hidden;
    margin-right: 10px;
  }
.value div,.range-value div {
    transition:all 300ms ease-in-out;
  }


  /*selcet*/



  .select-hidden {
    display: none;
    visibility: hidden;
    padding-right: 10px;
  }
  
  .select {
    text-indent: 5px;
    text-align: left;
    margin:auto;
    cursor: pointer;
    display: inline-table;
    position: relative;
    font-size: 16px;
    color: #fff;
    width: 100px;
  }

  .select-styled {
    font-weight: 900;
    color:#ed5e0a;
    padding: 12px;
    background-color:#ffe8c4;
    -webkit-transition: all 0.2s ease-in;
    -moz-transition: all 0.2s ease-in;
    -o-transition: all 0.2s ease-in;
    transition: all 0.2s ease-in;
  }


  .select-styled.active{
    background-color:white;
  }
  .select-styled:after {
    content: "";
    width: 0;
    height: 0;
    border: 7px solid transparent;
    border-color:#ed5e0a transparent transparent transparent;
    position: absolute;
    top: 19px;
    right: 10px;
  }

  .select-styled:hover {
    background-color:#facaa7
  }

  .select-options {
    font-weight: 900;
    color:#ed5e0a;
    display: none;
    position: absolute;
    top: 100%;
    right: 0;
    left: 0;
    z-index: 999;
    margin: 0;
    padding: 0;
    list-style: none;
    background-color:white
  }
  .select-options li {
      
    padding: 10px 0;
    margin: 0;
    text-indent: 15px;
    -webkit-transition: all 0.15s ease-in;
    -moz-transition: all 0.15s ease-in;
    -o-transition: all 0.15s ease-in;
    transition: all 0.15s ease-in;
  }
  .select-options li:hover, .select-options li.is-selected {
    color: #ed5e0a;
    background: #facaa7;
  }
  .select-options li[rel=hide] {
    display: none;
  }



.roll-preview{
    padding: 20px;
    text-align: initial;
}

.css-edit{
    margin:auto;
    
}

.deco>.option-item{
text-align: left;
}

.option-title{
    font-size: 20px;
    padding-bottom: 20px;
    letter-spacing: -1px;
    font-weight: 500;
}

.notice{
    padding:0;
}


.description{
    font-size:12px;
    font-weight: 300;
}

.deco{
    margin:10px;
  }

.roll-option{
    padding: 20px 0;
}


.desc-line{
    border: 0;
    height:1px;
    margin:0;
    background-color:  rgba(209, 213, 219, 0.3);
  }
  

  
.option-list.input{
    padding-top:0px;
}

.option-line{
    border: 0;
    height:1px;
    margin:0;
    background-color:  rgba(209, 213, 219, 0.3);
}


.option-item.manual{
    display: inline;
}

.color-input{
    width: 40px;
    background: unset;
    border: unset;
    cursor: pointer;
    height: 40px;
}

.color-input::-webkit-color-swatch{
    border:none;
    border-radius: 5px;

}

.color-input::-moz-color-swatch{
    border:none;
    border-radius: 5px;
    
}

.roll-data{
    display: flex;
    justify-content: space-between;
}

.roll-data>.box{
width: 100%;
margin: 10px;
}

.roll-preview{
    max-width: 300px;
}


.input{
    display: none;
}


.option-radio{
    font-weight: 700;
    color: #f3a165;
    background-color: white;
    width: 55px;
    float: left;
    letter-spacing: -1px;
    cursor: pointer;
    border-top:1px solid #f3a165;
    border-bottom:1px solid #f3a165;

    }
.option-radio>i{
    color:inherit
}
.option-radio:first-of-type{
    border-left:1px solid #f3a165;

    padding-left:5px;
    border-radius: 30px 0 0 30px;
}

.option-radio:last-of-type{
    border-right:1px solid #f3a165;

    padding-right:5px;
    border-radius: 0 30px 30px 0;
}


input:checked + .option-radio {
    color:white;
    background-color:#f3a165;
}

.option-radio:hover{
    transition: all 0.2s ease-in;
    background-color:#f3a165;
    color:white;
}


.roll-chat-preview{
    margin: 20px auto 40px;
}

.option-item.deco-copy{
    font-size: 18px;
    letter-spacing: -1px;
    font-weight: 500;
}

.deco-copy.box{
    margin-bottom:20px;
}

.option-item.deco-copy.item{
    font-weight: 300;

}
.option-link.btn i{
    color:black
}

.option-list i{
    margin:5px;
}


input[type="reset"]{
    border:0;
    color:#ed5e0a
}

.modal-btn.back:hover{
    background-color: #fd9d65;
}